svn commit: r1212272 - /ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

svn commit: r1212272 - /ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh

hansbak-2
Author: hansbak
Date: Fri Dec  9 08:10:42 2011
New Revision: 1212272

URL: http://svn.apache.org/viewvc?rev=1212272&view=rev
Log:
Apply system and patches in components in the hot-deploy dir

Added:
    ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh   (with props)

Added: ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh
URL: http://svn.apache.org/viewvc/ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh?rev=1212272&view=auto
==============================================================================
--- ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh (added)
+++ ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh Fri Dec  9 08:10:42 2011
@@ -0,0 +1,42 @@
+#!/bin/sh
+#####################################################################
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#####################################################################
+#
+# This shell script will will run ./ant apply patches on all components
+#              present in the hot-deploy directory
+
+    if [ -f "../ofbiz.patch" ]; then
+ patch -p0 <../ofbiz.patch
+    fi
+
+    for f in hot-deploy/*
+    do
+        if [ "$f" != "hot-deploy/README.txt" ]; then
+    if [ -f "$f/patches/applications.patch" ]; then
+             echo apply patches for component $f
+             cd $f
+     ../../ant apply-ofbiz-patches
+     echo return code $?
+ cd ../../
+    fi
+        fi
+    done
+
+exit;
+

Propchange: ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh
------------------------------------------------------------------------------
    svn:eol-style = LF

Propchange: ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: ofbiz/trunk/applyOfbizPatchesAndHotDeploy.sh
------------------------------------------------------------------------------
    svn:keywords = Date Rev Author URL Id